MCP Tools Reference: cloudbilling.googleapis.com

Tool: test_iam_permissions

Tests the access control policy for a billing account.

The following code sample shows how to use curl to call the test_iam_permissions MCP tool.

Curl Request
curl --location 'https://cloudbilling.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "test_iam_permissions",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for TestIamPermissions method.

TestIamPermissionsRequest

JSON representation
{
  "resource": string,
  "permissions": [
    string
  ]
}
Fields
resource

string

REQUIRED: The resource for which the policy detail is being requested. See Resource names for the appropriate value for this field.

permissions[]

string

The set of permissions to check for the resource. Permissions with wildcards (such as * or storage.*) are not allowed. For more information see IAM Overview.

Output Schema

Response message for TestIamPermissions method.

TestIamPermissionsResponse

JSON representation
{
  "permissions": [
    string
  ]
}
Fields
permissions[]

string

A subset of TestPermissionsRequest.permissions that the caller is allowed.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌